For the complete documentation index, see llms.txt. This page is also available as Markdown.

πŸ”ŽCompany Verification

This feature enables the verification of company identification documents

Based on the input information provided, we give you a matching score comparing the information given and the ones found in official databases.

Compute a Company Scoring (experimental)

POST /verification/companyScore

Headers:

  • Api-Key (required): provided by Danaya

  • Api-Secret (required): provided by Danaya

  • Content-Type (required): application/json

here you have to provide all company's informations as they are on the RCCM

{
  "rccmNumber": "string",
  "duration": 0,
  "address": "string",
  "shareCapital": "string",
  "associates": [
    "string"
  ],
  "corporateName": "string",
  "legalStatus": "string"
}

Responses:

For each of the values provided in the request body, we will give you a matching score ranging from 0 to 100.

  • OK:

    • Code: 200

    • Body

    {
      "id": 0,
      "companyNameScore": 0,
      "legalStatusScore": 0,
      "addressScore": 0,
      "shareCapitalScore": 0,
      "durationScore": 0
    }
  • Code : 401

  • Code: 400

Last updated